---------------------
PatchSet 130 
Date: 2000/04/17 00:13:07
Author: hno
Branch: ntlm
Tag: (none) 
Log:
Updated to latest Squid.DEVEL sources

Members: 
	COPYRIGHT:1.1.1.1->1.1.1.1.14.1 
	ChangeLog:1.1.1.3.10.1->1.1.1.3.10.2 
	acconfig.h:1.1.1.3.10.1->1.1.1.3.10.2 
	configure:1.1.1.3->1.1.1.3.10.1(DEAD) 
	configure.in:1.1.1.3.10.2->1.1.1.3.10.3 
	makefile.in:1.1.1.3->1.1.1.3.10.1 
	auth_modules/PAM/pam_auth.c:1.1.1.1->1.1.1.1.10.1 
	doc/icpv2-application.txt:1.1.1.1->1.1.1.1.14.1(DEAD) 
	doc/icpv2-protocol.txt:1.1.1.1->1.1.1.1.14.1(DEAD) 
	doc/Programming-Guide/prog-guide.sgml:1.1.1.2->1.1.1.2.10.1 
	errors/Makefile.in:1.1.1.2->1.1.1.2.10.1 
	errors/Danish/ERR_CLIENT_ABORT:1.1.1.1->1.1.1.1.10.1(DEAD) 
	errors/Finnish/ERR_CLIENT_ABORT:1.1.1.1->1.1.1.1.10.1(DEAD) 
	errors/Finnish/ERR_FTP_FORBIDDEN:1.1->1.1.8.1 
	errors/Finnish/ERR_FTP_NOT_FOUND:1.1->1.1.8.1 
	errors/Finnish/ERR_FTP_UNAVAILABLE:1.1->1.1.8.1 
	errors/Finnish/ERR_SHUTTING_DOWN:1.1->1.1.8.1 
	errors/Finnish/ERR_TOO_BIG:1.1->1.1.8.1 
	errors/Swedish/ERR_TOO_BIG:1.1->1.1.4.1 
	icons/anthony-binhex.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-bomb.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-box.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-box2.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-c.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-compressed.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-dir.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-dirup.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-dvi.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-f.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-image.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-image2.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-layout.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-link.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-movie.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-pdf.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-portal.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-ps.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-quill.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-script.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-sound.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-tar.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-tex.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-text.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-unknown.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-xbm.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	icons/anthony-xpm.gif:1.1.1.1->1.1.1.1.14.1(DEAD) 
	include/autoconf.h.in:1.1.1.3->1.1.1.3.12.1(DEAD) 
	include/config.h.in:1.1.1.3->1.1.1.3.10.1 
	include/heap.h:1.1.1.1->1.1.1.1.10.1 
	include/splay.h:1.1.1.2->1.1.1.2.10.1 
	include/util.h:1.1.1.3.10.1->1.1.1.3.10.2 
	include/version.h:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.2 
	lib/Array.c:1.1.1.2->1.1.1.2.10.1 
	lib/Makefile.in:1.1.1.2->1.1.1.2.10.1 
	lib/Stack.c:1.1.1.2->1.1.1.2.10.1 
	lib/getfullhostname.c:1.1.1.1->1.1.1.1.14.1 
	lib/hash.c:1.1.1.3->1.1.1.3.10.1 
	lib/heap.c:1.1.1.1->1.1.1.1.10.1 
	lib/radix.c:1.1.1.2->1.1.1.2.14.1 
	lib/rfc1035.c:1.1.1.1.4.1->1.1.1.1.4.1.2.1 
	lib/rfc1123.c:1.1.1.3->1.1.1.3.10.1 
	lib/rfc1738.c:1.1.1.2->1.1.1.2.10.1 
	lib/splay.c:1.1.1.2->1.1.1.2.10.1 
	lib/strerror.c:1.1.1.1->1.1.1.1.14.1 
	lib/util.c:1.1.1.3->1.1.1.3.10.1 
	src/CacheDigest.c:1.1.1.2->1.1.1.2.14.1 
	src/ETag.c:1.1.1.1->1.1.1.1.14.1 
	src/HttpBody.c:1.1.1.1->1.1.1.1.14.1 
	src/HttpHdrCc.c:1.1.1.3->1.1.1.3.10.1 
	src/HttpHdrContRange.c:1.1.1.3->1.1.1.3.10.1 
	src/HttpHdrExtField.c:1.1.1.3->1.1.1.3.10.1 
	src/HttpHdrRange.c:1.1.1.3->1.1.1.3.10.1 
	src/HttpHeader.c:1.1.1.3->1.1.1.3.10.1 
	src/HttpHeaderTools.c:1.1.1.3->1.1.1.3.10.1 
	src/HttpMsg.c:1.1.1.1->1.1.1.1.16.1 
	src/HttpReply.c:1.1.1.3->1.1.1.3.10.1 
	src/HttpRequest.c:1.1.1.3.10.1->1.1.1.3.10.2 
	src/HttpStatusLine.c:1.1.1.3->1.1.1.3.10.1 
	src/Makefile.in:1.1.1.3.12.1->1.1.1.3.12.2 
	src/MemBuf.c:1.1.1.2->1.1.1.2.14.1 
	src/MemPool.c:1.1.1.3->1.1.1.3.10.1 
	src/Packer.c:1.1.1.2->1.1.1.2.14.1 
	src/StatHist.c:1.1.1.2->1.1.1.2.14.1 
	src/String.c:1.1.1.1->1.1.1.1.14.1 
	src/access_log.c:1.1.1.3->1.1.1.3.12.1 
	src/acl.c:1.1.1.3.12.2->1.1.1.3.12.3 
	src/aiops.c:1.1.1.3->1.1.1.3.12.1 
	src/asn.c:1.1.1.3->1.1.1.3.10.1 
	src/async_io.c:1.1.1.3.4.1->1.1.1.3.4.1.2.1 
	src/authenticate.c:1.1.1.3.12.1->1.1.1.3.12.2 
	src/cache_cf.c:1.1.1.3.4.1->1.1.1.3.4.1.2.1 
	src/cache_diff.c:1.1.1.1->1.1.1.1.14.1 
	src/cache_manager.c:1.1.1.2->1.1.1.2.14.1 
	src/cachemgr.c:1.1.1.3->1.1.1.3.10.1 
	src/carp.c:1.1.1.1->1.1.1.1.14.1 
	src/cbdata.c:1.1.1.2->1.1.1.2.14.1 
	src/cf.data.pre:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.4 
	src/cf_gen.c:1.1.1.3->1.1.1.3.12.1 
	src/client.c:1.1.1.3->1.1.1.3.10.1 
	src/client_db.c:1.1.1.3->1.1.1.3.10.1 
	src/client_side.c:1.1.1.3.4.1.2.7->1.1.1.3.4.1.2.8 
	src/comm.c:1.1.1.3->1.1.1.3.10.1 
	src/comm_select.c:1.1.1.3->1.1.1.3.12.1 
	src/debug.c:1.1.1.3->1.1.1.3.10.1 
	src/defines.h:1.1.1.3->1.1.1.3.12.1 
	src/delay_pools.c:1.1.1.3->1.1.1.3.12.1 
	src/disk.c:1.1.1.3->1.1.1.3.10.1 
	src/diskd.c:1.1->1.1.8.1 
	src/dns.c:1.1.1.3->1.1.1.3.12.1 
	src/dns_internal.c:1.1.1.1.4.1->1.1.1.1.4.1.2.1 
	src/dnsserver.c:1.1.1.3->1.1.1.3.10.1 
	src/enums.h:1.1.1.3->1.1.1.3.12.1 
	src/errorpage.c:1.1.1.3.10.1->1.1.1.3.10.2 
	src/event.c:1.1.1.3->1.1.1.3.10.1 
	src/fd.c:1.1.1.3->1.1.1.3.12.1 
	src/filemap.c:1.1.1.2->1.1.1.2.10.1 
	src/forward.c:1.1.1.3.12.1->1.1.1.3.12.2 
	src/fqdncache.c:1.1.1.3->1.1.1.3.10.1 
	src/ftp.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.2 
	src/globals.h:1.1.1.3->1.1.1.3.12.1 
	src/gopher.c:1.1.1.3->1.1.1.3.10.1 
	src/htcp.c:1.1.1.2->1.1.1.2.10.1 
	src/http.c:1.1.1.3.4.1.2.1->1.1.1.3.4.1.2.2 
	src/icmp.c:1.1.1.2->1.1.1.2.16.1 
	src/icp_v2.c:1.1.1.3->1.1.1.3.10.1 
	src/icp_v3.c:1.1.1.3->1.1.1.3.10.1 
	src/ident.c:1.1.1.3->1.1.1.3.10.1 
	src/internal.c:1.1.1.3->1.1.1.3.10.1 
	src/ipc.c:1.1.1.3->1.1.1.3.12.1 
	src/ipcache.c:1.1.1.3->1.1.1.3.10.1 
	src/leakfinder.c:1.1.1.1->1.1.1.1.14.1 
	src/logfile.c:1.1->1.1.6.1 
	src/main.c:1.1.1.3.4.1->1.1.1.3.4.1.2.1 
	src/mem.c:1.1.1.3->1.1.1.3.12.1 
	src/mime.c:1.1.1.3->1.1.1.3.10.1 
	src/multicast.c:1.1.1.1->1.1.1.1.14.1 
	src/neighbors.c:1.1.1.3->1.1.1.3.12.1 
	src/net_db.c:1.1.1.3->1.1.1.3.12.1 
	src/pconn.c:1.1.1.2->1.1.1.2.14.1 
	src/peer_digest.c:1.1.1.3->1.1.1.3.10.1 
	src/peer_select.c:1.1.1.3->1.1.1.3.12.1 
	src/pinger.c:1.1.1.3->1.1.1.3.10.1 
	src/protos.h:1.1.1.3.12.2->1.1.1.3.12.3 
	src/recv-announce.c:1.1.1.1->1.1.1.1.14.1 
	src/redirect.c:1.1.1.3.4.1->1.1.1.3.4.1.2.1 
	src/refresh.c:1.1.1.3->1.1.1.3.10.1 
	src/send-announce.c:1.1.1.3->1.1.1.3.10.1 
	src/snmp_agent.c:1.1.1.3->1.1.1.3.10.1 
	src/snmp_core.c:1.1.1.3->1.1.1.3.10.1 
	src/squid.h:1.1.1.3->1.1.1.3.12.1 
	src/ssl.c:1.1.1.3->1.1.1.3.12.1 
	src/stat.c:1.1.1.3.12.1->1.1.1.3.12.2 
	src/stmem.c:1.1.1.2->1.1.1.2.14.1 
	src/store.c:1.1.1.3->1.1.1.3.12.1 
	src/store_client.c:1.1.1.3.4.1->1.1.1.3.4.1.2.1 
	src/store_digest.c:1.1.1.3->1.1.1.3.10.1 
	src/store_dir.c:1.1.1.3->1.1.1.3.12.1 
	src/store_dir_ufs.c:1.1.1.1->1.1.1.1.12.1 
	src/store_heap_replacement.c:1.1.1.1->1.1.1.1.10.1 
	src/store_io_asyncufs.c:1.1.1.1.4.1->1.1.1.1.4.1.2.1 
	src/store_io_ufs.c:1.1.1.1->1.1.1.1.12.1 
	src/store_key_md5.c:1.1.1.3->1.1.1.3.10.1 
	src/store_log.c:1.1.1.2->1.1.1.2.12.1 
	src/store_rebuild.c:1.1.1.3->1.1.1.3.12.1 
	src/store_swapin.c:1.1.1.3->1.1.1.3.12.1 
	src/store_swapmeta.c:1.1.1.2->1.1.1.2.10.1 
	src/store_swapout.c:1.1.1.3.4.1->1.1.1.3.4.1.2.1 
	src/structs.h:1.1.1.3.4.1.2.3->1.1.1.3.4.1.2.4 
	src/test_cache_digest.c:1.1.1.1->1.1.1.1.14.1 
	src/tools.c:1.1.1.3->1.1.1.3.10.1 
	src/typedefs.h:1.1.1.3.12.1->1.1.1.3.12.2 
	src/unlinkd.c:1.1.1.3->1.1.1.3.12.1 
	src/url.c:1.1.1.3->1.1.1.3.12.1 
	src/urn.c:1.1.1.3->1.1.1.3.10.1 
	src/useragent.c:1.1.1.3->1.1.1.3.10.1 
	src/wais.c:1.1.1.2->1.1.1.2.14.1 
	src/wccp.c:1.1.1.1->1.1.1.1.10.1 
	src/whois.c:1.1.1.2->1.1.1.2.14.1 

Index: squid/COPYRIGHT
===================================================================
RCS file: /cvsroot/squid-sf//squid/COPYRIGHT,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.14.1
diff -u -r1.1.1.1 -r1.1.1.1.14.1
--- squid/COPYRIGHT	26 Jan 2000 03:21:46 -0000	1.1.1.1
+++ squid/COPYRIGHT	17 Apr 2000 00:13:07 -0000	1.1.1.1.14.1
@@ -1,10 +1,11 @@
 By accepting this notice, you agree to be bound by the following
 agreements:
 
-This software product, SQUID, is copyrighted(C) 1998 by Duane Wessels,
-and the University of California, San Diego (UCSD), with all rights
-reserved.  UCSD administers the NLANR Cache grants, NCR 9616602 and NCR
-9521745 under which most of this code was developed.
+This software product, SQUID, is developed by Duane Wessels, and
+copyrighted (C) 2000 by the Regents of the University of California,
+with all rights reserved.  UCSD administers the NLANR Cache grants,
+NCR 9616602 and NCR 9521745 under which most of this code was
+developed.
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License (version 2) as
Index: squid/ChangeLog
===================================================================
RCS file: /cvsroot/squid-sf//squid/ChangeLog,v
retrieving revision 1.1.1.3.10.1
retrieving revision 1.1.1.3.10.2
diff -u -r1.1.1.3.10.1 -r1.1.1.3.10.2
--- squid/ChangeLog	14 Apr 2000 23:09:53 -0000	1.1.1.3.10.1
+++ squid/ChangeLog	17 Apr 2000 00:13:07 -0000	1.1.1.3.10.2
@@ -2,6 +2,16 @@
 	  Now all client side processing is inside client_side.c, and
 	  the pass and pump modules is no longer used.
 
+Changes to Squid-2.4.DEVEL3 ():
+
+	- Added Logfile module.
+	- Added DISKD stats via cachemgr.
+	- Added squid.conf options for DISKD magic constants.
+
+Changes to Squid-2.4.DEVEL2 ():
+
+Changes to Squid-2.4.DEVEL1 ():
+
 Changes to Squid-2.3.STABLE1 (Jan 9, 2000):
 
 	- Updated PAM authentication module from Henrik Nordstrom.
@@ -232,7 +242,6 @@
 	- Added 'peer_connect_timeout' squid.conf option.
 	- Added 'redirector_bypass' squid.conf option.
 	- Added RFC 2518 (WEBDAV) request methods.
-	
 
 Changes to Squid-2.2 (April 19, 1999):
 
Index: squid/acconfig.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/Attic/acconfig.h,v
retrieving revision 1.1.1.3.10.1
retrieving revision 1.1.1.3.10.2
diff -u -r1.1.1.3.10.1 -r1.1.1.3.10.2
--- squid/acconfig.h	15 Apr 2000 13:27:06 -0000	1.1.1.3.10.1
+++ squid/acconfig.h	17 Apr 2000 00:13:07 -0000	1.1.1.3.10.2
@@ -20,7 +20,7 @@
  *
  */
 @ TOP @
-/* $Id: acconfig.h,v 1.1.1.3.10.1 2000/04/15 13:27:06 asd Exp $ */
+/* $Id: acconfig.h,v 1.1.1.3.10.2 2000/04/17 00:13:07 hno Exp $ */
 
 /*********************************
  * START OF CONFIGURABLE OPTIONS *
@@ -266,3 +266,13 @@
  * Use the heap-based replacement techniques
  */
 #undef HEAP_REPLACEMENT
+
+/*
+ * Use DISKD
+ */
+#undef USE_DISKD
+
+/*
+ * message type for message queues
+ */
+#undef mtyp_t
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.3.10.2
retrieving revision 1.1.1.3.10.3
diff -u -r1.1.1.3.10.2 -r1.1.1.3.10.3
--- squid/configure.in	15 Apr 2000 13:27:06 -0000	1.1.1.3.10.2
+++ squid/configure.in	17 Apr 2000 00:13:07 -0000	1.1.1.3.10.3
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.3.10.2 2000/04/15 13:27:06 asd Exp $
+dnl  $Id: configure.in,v 1.1.1.3.10.3 2000/04/17 00:13:07 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.3.10.2 $)dnl
+AC_REVISION($Revision: 1.1.1.3.10.3 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
@@ -88,9 +88,9 @@
         esac
     else
 	case "$host" in
-	*mips-sgi-irix6.4*)
+	*mips-sgi-irix6.*)
 	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    CFLAGS="$CFLAGS -n32 -mips4 -O3 -OPT:Olimit=0:space=OFF \
+	    CFLAGS="$CFLAGS -n32 -mips3 -O3 -OPT:Olimit=0:space=OFF \
 		-woff 1009,1014,1048,1110,1116,1185,1188,1204,1230,1233 \
 		-Wl,-woff,85,-woff,84,-woff,134 \
 		-nostdinc -I/usr/include -D_BSD_SIGNALS"
@@ -116,9 +116,9 @@
         esac
     else
 	case "$host" in
-	*mips-sgi-irix6.4*)
+	*mips-sgi-irix6.*)
 	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    LDFLAGS="-n32 -mips4 -nostdlib -L/usr/lib32"
+	    LDFLAGS="-n32 -mips3 -nostdlib -L/usr/lib32"
 	    ;;
 	esac
     fi
@@ -564,6 +564,20 @@
   fi
 ])
 
+dnl Enable "diskd" code
+AC_ARG_ENABLE(diskd,
+[  --enable-diskd          Uses shared memory, message queues, and external
+                          processes for disk I/O.],
+[ if test "$enableval" = "yes" ; then
+    echo "DISKD enabled"
+    AC_DEFINE(USE_DISKD, 1)
+    OPT_DISKD_EXE='$(DISKD_EXE)'
+    AC_SUBST(OPT_DISKD_EXE)
+    DISKD_OBJS='diskd.o'
+    AC_SUBST(DISKD_OBJS)
+  fi
+])
+
 # Force some compilers to use ANSI features
 #
 case "$host" in
@@ -643,6 +657,7 @@
 	mount.h \
 	net/if.h \
 	netdb.h \
+	netinet/if_ether.h \
 	netinet/in.h \
 	netinet/tcp.h \
 	netinet/ip_compat.h \
@@ -662,6 +677,7 @@
 	strings.h \
 	sys/file.h \
 	sys/ioctl.h \
+	sys/msg.h \
 	sys/param.h \
 	sys/resource.h \
 	sys/select.h\
@@ -788,6 +804,7 @@
 AC_CHECK_TYPE(off_t, int)
 AC_CHECK_TYPE(mode_t, u_short)
 AC_CHECK_TYPE(fd_mask, int)
+AC_CHECK_TYPE(mtyp_t, long)
 
 dnl Check for type in sys/socket.h
 AC_CACHE_CHECK(for socklen_t, ac_cv_type_socklen_t, [
@@ -888,6 +905,7 @@
         	LIBS=`echo $LIBS | sed -e s/-lsocket//`
         	echo "Removing -lnsl for IRIX..."
         	LIBS=`echo $LIBS | sed -e s/-lnsl//`
+		ac_cv_lib_nsl_main=no
 		echo "Removing -lbsd for IRIX..."
 		LIBS=`echo $LIBS | sed -e s/-lbsd//`
 		;;
@@ -1130,7 +1148,7 @@
 
 dnl Not cached since people are likely to tune this
 AC_MSG_CHECKING(Maximum number of filedescriptors we can open)
-dnl shit! FreeBSD's pthreads breaks dup2().
+dnl damn! FreeBSD's pthreads breaks dup2().
 TLDFLAGS="$LDFLAGS"
 case $host in
 i386-unknown-freebsd*)
Index: squid/auth_modules/PAM/pam_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/PAM/Attic/pam_auth.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.10.1
diff -u -r1.1.1.1 -r1.1.1.1.10.1
--- squid/auth_modules/PAM/pam_auth.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/PAM/pam_auth.c	17 Apr 2000 00:13:07 -0000	1.1.1.1.10.1
@@ -1,5 +1,5 @@
 /*
- * $Id: pam_auth.c,v 1.1.1.1 2000/01/26 03:25:00 hno Exp $
+ * $Id: pam_auth.c,v 1.1.1.1.10.1 2000/04/17 00:13:07 hno Exp $
  *
  * PAM authenticator module for Squid.
  * Copyright (C) 1999 Henrik Nordstrom <hno@hem.passagen.se>
Index: squid/doc/Programming-Guide/prog-guide.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/Programming-Guide/prog-guide.sgml,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.10.1
diff -u -r1.1.1.2 -r1.1.1.2.10.1
--- squid/doc/Programming-Guide/prog-guide.sgml	26 Jan 2000 03:25:00 -0000	1.1.1.2
+++ squid/doc/Programming-Guide/prog-guide.sgml	17 Apr 2000 00:13:07 -0000	1.1.1.2.10.1
@@ -2,6 +2,7 @@
 <article>
 <title>Squid Programmers Guide</title>
 <author>Duane Wessels, Squid Developers
+<date>$Id: prog-guide.sgml,v 1.1.1.2.10.1 2000/04/17 00:13:07 hno Exp $</date>
 
 <abstract>
 Squid is a WWW Cache application developed by the National Laboratory
--- /dev/null	Wed Feb 14 00:42:24 2007
+++ squid/errors/Finnish/ERR_FTP_FORBIDDEN	Wed Feb 14 00:43:24 2007
@@ -0,0 +1,17 @@
+<HTML><HEAD>
+<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+</HEAD><BODY>
+<H1>ERROR</H1>
+<H2>The requested URL could not be retrieved</H2>
+<HR>
+<P>
+An FTP authentication failure occurred
+while trying to retrieve the URL:
+<A HREF="%U">%U</A>
+<P>
+Squid sent the following FTP command:
+<blockquote><strong><pre>%f</pre></strong></blockquote>
+and then received this reply
+<blockquote><strong><pre>%F</pre></strong></blockquote>
+<blockquote><strong><pre>%g</pre></strong></blockquote>
+<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
--- /dev/null	Wed Feb 14 00:42:24 2007
+++ squid/errors/Finnish/ERR_FTP_NOT_FOUND	Wed Feb 14 00:43:24 2007
@@ -0,0 +1,20 @@
+<HTML><HEAD>
+<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+</HEAD><BODY>
+<H1>ERROR</H1>
+<H2>The requested URL could not be retrieved</H2>
+<HR>
+<P>
+The following URL could not be retrieved:
+<A HREF="%U">%U</A>
+<P>
+Squid sent the following FTP command:
+<blockquote><strong><pre>%f</pre></strong></blockquote>
+and then received this reply
+<blockquote><strong><pre>%F</pre></strong></blockquote>
+<blockquote><strong><pre>%g</pre></strong></blockquote>
+<P>
+This might be caused by an FTP URL with an absolute path (which does
+not comply with RFC 1738).  If this is the cause, then the file
+can be found at <A HREF="%B">%B</A>.
+<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
--- /dev/null	Wed Feb 14 00:42:24 2007
+++ squid/errors/Finnish/ERR_FTP_UNAVAILABLE	Wed Feb 14 00:43:24 2007
@@ -0,0 +1,16 @@
+<HTML><HEAD>
+<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+</HEAD><BODY>
+<H1>ERROR</H1>
+<H2>The requested URL could not be retrieved</H2>
+<HR>
+<P>
+The FTP server was too busy while trying to retrieve the URL:
+<A HREF="%U">%U</A>
+<P>
+Squid sent the following FTP command:
+<blockquote><strong><pre>%f</pre></strong></blockquote>
+and then received this reply
+<blockquote><strong><pre>%F</pre></strong></blockquote>
+<blockquote><strong><pre>%g</pre></strong></blockquote>
+<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
--- /dev/null	Wed Feb 14 00:42:24 2007
+++ squid/errors/Finnish/ERR_SHUTTING_DOWN	Wed Feb 14 00:43:24 2007
@@ -0,0 +1,17 @@
+<HTML><HEAD>
+<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+</HEAD><BODY>
+<H1>ERROR</H1>
+<H2>The requested URL could not be retrieved</H2>
+<HR>
+<P>
+While trying to retrieve the URL:
+<A HREF="%U">%U</A>
+<P>
+The following error was encountered:
+<UL>
+<P>
+This cache is in the process of shutting down and can not
+service your request at this time.  Please retry your
+request again soon.
+<P>Your cache administrator is <A HREF="mailto:%w">%w</A>. 
--- /dev/null	Wed Feb 14 00:42:24 2007
+++ squid/errors/Finnish/ERR_TOO_BIG	Wed Feb 14 00:43:24 2007
@@ -0,0 +1,26 @@
+<HTML><HEAD>
+<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+</HEAD><BODY>
+<H1>ERROR</H1>
+<H2>The requested URL could not be retrieved</H2>
+<HR>
+<P>
+While trying to retrieve the URL:
+<A HREF="%U">%U</A>
+<P>
+The following error was encountered:
+<UL>
+<LI>
+<STRONG>
+The request or reply is too large.
+</STRONG>
+<P>
+If you are making a POST or PUT request, then your request body
+(the thing you are trying to upload) is too large.  If you are 
+making a GET request, then the reply body (what you are trying
+to download) is too large.   These limits have been established
+by the Internet Service Provider who operates this cache.  Please
+contact them directly if you feel this is an error.
+</UL>
+<P>
+Your cache administrator is <A HREF="mailto:%w">%w</A>.
Index: squid/include/config.h.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/config.h.in,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/include/config.h.in	26 Jan 2000 03:25:00 -0000	1.1.1.3
+++ squid/include/config.h.in	17 Apr 2000 00:13:08 -0000	1.1.1.3.10.1
@@ -1,5 +1,5 @@
 /*
- * $Id: config.h.in,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
+ * $Id: config.h.in,v 1.1.1.3.10.1 2000/04/17 00:13:08 hno Exp $
  *
  * AUTHOR: Duane Wessels
  *
Index: squid/include/heap.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/heap.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.10.1
diff -u -r1.1.1.1 -r1.1.1.1.10.1
--- squid/include/heap.h	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/include/heap.h	17 Apr 2000 00:13:08 -0000	1.1.1.1.10.1
@@ -1,5 +1,5 @@
 /*
- * $Id: heap.h,v 1.1.1.1 2000/01/26 03:25:00 hno Exp $
+ * $Id: heap.h,v 1.1.1.1.10.1 2000/04/17 00:13:08 hno Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
Index: squid/include/splay.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/splay.h,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.10.1
diff -u -r1.1.1.2 -r1.1.1.2.10.1
--- squid/include/splay.h	26 Jan 2000 03:25:00 -0000	1.1.1.2
+++ squid/include/splay.h	17 Apr 2000 00:13:08 -0000	1.1.1.2.10.1
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.h,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
+ * $Id: splay.h,v 1.1.1.2.10.1 2000/04/17 00:13:08 hno Exp $
  */
 
 
Index: squid/include/util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/util.h,v
retrieving revision 1.1.1.3.10.1
retrieving revision 1.1.1.3.10.2
diff -u -r1.1.1.3.10.1 -r1.1.1.3.10.2
--- squid/include/util.h	5 Feb 2000 20:14:18 -0000	1.1.1.3.10.1
+++ squid/include/util.h	17 Apr 2000 00:13:08 -0000	1.1.1.3.10.2
@@ -1,5 +1,5 @@
 /*
- * $Id: util.h,v 1.1.1.3.10.1 2000/02/05 20:14:18 hno Exp $
+ * $Id: util.h,v 1.1.1.3.10.2 2000/04/17 00:13:08 hno Exp $
  *
  * AUTHOR: Harvest Derived
  *
Index: squid/include/version.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/version.h,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.2
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.2
--- squid/include/version.h	5 Feb 2000 19:38:58 -0000	1.1.1.3.4.1.2.1
+++ squid/include/version.h	17 Apr 2000 00:13:08 -0000	1.1.1.3.4.1.2.2
@@ -1,10 +1,10 @@
 /*
- * $Id: version.h,v 1.1.1.3.4.1.2.1 2000/02/05 19:38:58 hno Exp $
+ * $Id: version.h,v 1.1.1.3.4.1.2.2 2000/04/17 00:13:08 hno Exp $
  *
  *  SQUID_VERSION - String for version id of this distribution
  */
 #ifndef SQUID_VERSION
-#define SQUID_VERSION	"2.3.STABLE1-ntlm"
+#define SQUID_VERSION	"2.4.DEVEL3-ntlm"
 #endif
 
 #ifndef SQUID_RELEASE_TIME
Index: squid/lib/Array.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Array.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.10.1
diff -u -r1.1.1.2 -r1.1.1.2.10.1
--- squid/lib/Array.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
+++ squid/lib/Array.c	17 Apr 2000 00:13:08 -0000	1.1.1.2.10.1
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
+ * $Id: Array.c,v 1.1.1.2.10.1 2000/04/17 00:13:08 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -10,10 +10,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/Stack.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Stack.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.10.1
diff -u -r1.1.1.2 -r1.1.1.2.10.1
--- squid/lib/Stack.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
+++ squid/lib/Stack.c	17 Apr 2000 00:13:08 -0000	1.1.1.2.10.1
@@ -1,5 +1,5 @@
 /*
- * $Id: Stack.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
+ * $Id: Stack.c,v 1.1.1.2.10.1 2000/04/17 00:13:08 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -10,10 +10,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/getfullhostname.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/getfullhostname.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.14.1
diff -u -r1.1.1.1 -r1.1.1.1.14.1
--- squid/lib/getfullhostname.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/getfullhostname.c	17 Apr 2000 00:13:08 -0000	1.1.1.1.14.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: getfullhostname.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: getfullhostname.c,v 1.1.1.1.14.1 2000/04/17 00:13:08 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/hash.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/hash.c,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.10.1
diff -u -r1.1.1.3 -r1.1.1.3.10.1
--- squid/lib/hash.c	26 Jan 2000 03:25:00 -0000	1.1.1.3
+++ squid/lib/hash.c	17 Apr 2000 00:13:08 -0000	1.1.1.3.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: hash.c,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
+ * $Id: hash.c,v 1.1.1.3.10.1 2000/04/17 00:13:08 hno Exp $
  *
  * DEBUG: section 0     Hash Tables
  * AUTHOR: Harvest Derived
@@ -12,10 +12,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/heap.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/heap.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.10.1
diff -u -r1.1.1.1 -r1.1.1.1.10.1
--- squid/lib/heap.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/lib/heap.c	17 Apr 2000 00:13:08 -0000	1.1.1.1.10.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: heap.c,v 1.1.1.1 2000/01/26 03:25:00 hno Exp $
+ * $Id: heap.c,v 1.1.1.1.10.1 2000/04/17 00:13:08 hno Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
Index: squid/lib/radix.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/radix.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.14.1
diff -u -r1.1.1.2 -r1.1.1.2.14.1
--- squid/lib/radix.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/lib/radix.c	17 Apr 2000 00:13:08 -0000	1.1.1.2.14.1
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: radix.c,v 1.1.1.2.14.1 2000/04/17 00:13:08 hno Exp $
  *
  * DEBUG: section 53     Radix tree data structure implementation
  * AUTHOR: NetBSD Derived
@@ -11,10 +11,10 @@
  *  Internet community.  Development is led by Duane Wessels of the
  *  National Laboratory for Applied Network Research and funded by the
  *  National Science Foundation.  Squid is Copyrighted (C) 1998 by
- *  Duane Wessels and the University of California San Diego.  Please
- *  see the COPYRIGHT file for full details.  Squid incorporates
- *  software developed and/or copyrighted by other sources.  Please see
- *  the CREDITS file for full details.
+ *  the Regents of the University of California.  Please see the
+ *  COPYRIGHT file for full details.  Squid incorporates software
+ *  developed and/or copyrighted by other sources.  Please see the
+ *  CREDITS file for full details.
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
